const {
  formmat
} = require("../../utils/http");
const {
  ArticleService,
  ArticleListService
} = require("../../service/index");
async function getArticleController(data) {
  let article = {};
  let code = 0;
  let msg = "ok";
  try {
    article = await ArticleService(data);
  } catch (err) {
    console.log(err)
    code = 500;
    msg = "err";
  }
  return formmat(article, code, msg);
}

async function getArticleListController(data) {
  let article = {};
  let code = 0;
  let msg = "ok";
  try {
    article = await ArticleListService(data);
  } catch (err) {
    console.log(err)
    code = 500;
    msg = "err";
  }
  return formmat(article, code, msg);
}

const {
  db,
  _
} = require("../../utils/http");
async function test(data) {
  try {
    await db.collection('article').where({
      _id: _.neq(0)
    }).update({
      data: {
        activity_name: '盛世中华 何以中国',
        activice_name: _.remove()
      }
    });
    await db.collection('schedule').where({
      _id: _.neq(0)
    }).update({
      data: {
        activity_name: '盛世中华 何以中国',
        activice_name: _.remove()
      }
    });
    await db.collection('live').where({
      _id: _.neq(0)
    }).update({
      data: {
        activity_name: '盛世中华 何以中国',
        activice_name: _.remove()
      }
    });
  } catch (error) {
    console.log(error)
  }
  return formmat({}, 0, '')
}

module.exports = {
  getArticleController,
  getArticleListController,
  test
}