const {
  db,
  _
} = require("../../utils/http");
async function LiveService(data) {
  const orilist = await db.collection('live').where({
    _id: _.eq(data.id),
    activity_name: _.eq(data.activityName)
  }).get();
  return orilist.data[0] || {}
}

async function LiveServiceList(data) {
  const orilist = await db.collection('live').where({
    activity_name: _.eq(data.activityName)
  }).get();
  return orilist.data
}

module.exports = {
  LiveService,
  LiveServiceList
}