// pages/home/index.js
const {
  globalData
} = getApp();
import {
  httpOrther
} from "../../utils/httpFunc";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    // heights: []
  },
  title: '',
  showBack() {
    const _this = this;
    httpOrther({
      url: `/Applets/shengshizhongguo/json/list${globalData.miniProgram.envVersion}.json?${Date.now()}`,
      call(res) {
        const defaultItem = (res.list || [])[0]
        if (!res.showList) {
          wx.redirectTo({
            url: `/pages/activityDetail/index?url=${defaultItem.fileName}&title=${defaultItem.title}`
          })
          return
        }
        _this.setData({
          list: res.list || []
        })
      }
    })
  },

  toDetail(e) {
    wx.navigateTo({
      url: '/pages/activityDetail/index?url=' + e.currentTarget.dataset.file + '&title=' + e.currentTarget.dataset.title
    })
  },

  imageload(e) {
    // let width = globalData.client.screenWidth * 73 / 75;
    // const ori = JSON.parse(JSON.stringify(this.data.heights));
    // ori[e.currentTarget.dataset.index || 0] = width * e.detail.height / globalData.client.screenWidth;
    // this.setData({
    //   heights: ori
    // })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wx.setNavigationBarTitle({
      title: '媒体行',
    })
    this.showBack();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: "", // 分享名称
      path: 'pages/home/index', // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  }
})