// pages/live/live.js
import {
  httpCloud
} from "../../utils/httpFunc";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLive: false,
    liveData: {},
    list: [],
    type: '简介',
    userInfo: {}
  },
  activity: "",
  id: "",

  getDate() {
    const _this = this;
    httpCloud({
      name: "server",
      type: "getLiveData",
      data: {
        activityName: _this.activity,
        id: _this.id
      },
      call(res) {
        const obj = res || {};
        _this.setData({
          liveData: obj
        })
        wx.setNavigationBarTitle({
          title: decodeURIComponent(obj.title)
        })
      }
    })
  },

  getUser(e) {
    wx.setStorage({
      key: "userInfo",
      data: e.detail.rawData,
      encrypt: true // 若开启加密存储，setStorage 和 getStorage 需要同时声明 encrypt 的值为 true
    })
  },

  select(e) {
    this.setData({
      type: e.currentTarget.dataset.type
    })
  },

  liveing(e) {
    this.setData({
      isLive: true
    })
  },
  liveerr() {
    this.setData({
      isLive: false
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.activity = decodeURIComponent(options.activityName);
    this.id = options.id;
    this.getDate();
    const _this = this;
    wx.getStorage({
      key: "userInfo",
      encrypt: true, // 若开启加密存储，setStorage 和 getStorage 需要同时声明 encrypt 的值为 true
      success(res) {
        _this.setData({
          userInfo: JSON.parse(res.data || "{}")
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: "", // 分享名称
      path: 'pages/home/index', // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  }
})