// pages/livelist/index.js
import {
  httpCloud
} from "../../utils/httpFunc";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },
  activity: '',
  showBack() {
    const _this = this;
    httpCloud({
      name: "server",
      type: "getLiveListData",
      data: {
        activityName: _this.activity
      },
      call(res) {
        const r = res || [];
        _this.setData({
          list: r,
        })
      }
    })
  },

  toDetail(e){
    if(!e.currentTarget.dataset.id) return
    wx.navigateTo({
      url: '/pages/live/live?id=' + e.currentTarget.dataset.id + '&activityName=' + this.activity
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.activity = decodeURIComponent(options.activity);
    options.title && wx.setNavigationBarTitle({
      title: decodeURIComponent(options.title)
    })
    this.showBack();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: "", // 分享名称
      path: 'pages/home/index', // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  }
})