const { formmat } = require("../../utils/http");
const { LiveService, LiveServiceList } = require("../../service/index");
async function getLiveController(data) {
  let list = [];
  let code = 0;
  let msg = "ok";
  try{
    list = await LiveService(data);
  }catch(err){
    console.log(err)
    code = 500;
    msg = "err";
  }
  return formmat(list, code, msg);
}

async function getLiveListController(data) {
  let list = [];
  let code = 0;
  let msg = "ok";
  try{
    list = await LiveServiceList(data);
  }catch(err){
    console.log(err)
    code = 500;
    msg = "err";
  }
  return formmat(list, code, msg);
}

module.exports = {
  getLiveController,
  getLiveListController
}