const { db, _ } = require("../../utils/http");

async function ArticleService(data) {
  const orilist = await db.collection('article').doc(data.id).get();
  return orilist.data || {}
}

async function ArticleListService(data) {
  const orilist = await db.collection('article').orderBy('_createTime', 'desc').where({
    article_type: _.eq(data.articleType),
    activity_name: _.eq(data.activityName)
  }).get();
  return orilist.data || []
}

module.exports = {
  ArticleService,
  ArticleListService
}